import numpy as np
import matplotlib.pyplot as plt


ax = np.linspace(0,1,100)
plt.plot(ax, -2*ax+2, 'k-')
plt.plot(ax, -2*ax, 'k-')
plt.plot(ax, -1.5*ax+1.5, ls=':', color='k')
plt.plot(ax, -1.5*ax, ls=':', color='k')
plt.plot(ax, -2.5*ax+2.5, ls=':', color='k')
plt.plot(ax, -2.5*ax, 'k:', color='k')
plt.fill_between(ax, 1, color=(0, 0, 1, 0.4))
plt.fill_between(ax, -1, color=(0, 0, 1, 0.4))
plt.fill_between(ax, np.minimum(1, -2*ax+2), color='blue')
plt.fill_between(ax, np.maximum(-1, -2*ax), color='blue')
plt.grid(True)
plt.xlabel('SoC/Capacity')
plt.ylabel('Min & Max RoC')
plt.title('Max RoC & RoD as a function of of SoC')
plt.xlim(0,1)
plt.axhline(1, color='k')
plt.axhline(0, color='k')
plt.axhline(-1, color='k')
# plt.show()
plt.savefig('dyn-roc-1.png')
